import { scaleOrdinal } from 'd3';


const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon','orange'])
	.range(['#c11d1d','#eae600','#ffa500']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon','orange'])
	.range([40,30,50]);

const xPosition = (d, i) => i * 120 + 60;

export const fruitsBasket = (selection, props) => {
  const {fruits, height} = props;

  const groups = selection.selectAll('g')
    .data(fruits);
  const groupsEnter = groups.enter().append('g')
  	groupsEnter
      .merge(groups)
      .attr('transform', (d, i) => 
            `translate(${i * 120 + 60},${height/2})`);
  	groups.exit().remove();
  
 
  groupsEnter.append('circle')
   .merge(groups.select('circle'))
      .attr('fill', d => colorScale(d.type))
      .attr('r', d => radiusScale(d.type));

  
  groupsEnter.append('text')
   .merge(groups.select('text'))
      .text(d => d.type)
      .attr('y', 80);

}