import { select, range } from 'd3'
import { fruitsBasket } from './fruitsBasket'

const svg = select('svg');

const makeFruit = type => ({
  type,
	id: Math.random()});

let fruits = range(5)
	.map(() => makeFruit('apple'));


const render = () => {
	fruitsBasket (svg, {
    fruits,
    height: +svg.attr('height')
  })
};

render();

setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000);

setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000);

setTimeout(() => {
  fruits[2].type = 'orange';
  render();
}, 4000);